Bug: https://bugs.gentoo.org/610660

--- a/src/Settings_screen.cpp
+++ b/src/Settings_screen.cpp
@@ -217,3 +217,7 @@
 
 // **************************************************
 
+const float FS::Settings_screen::bold = 1.0;
+const float FS::Settings_screen::faded = 0.2;
+
+// **************************************************
--- a/src/Settings_screen.h
+++ b/src/Settings_screen.h
@@ -71,8 +71,8 @@
         static const int tick1_x = 252;
         static const int tick_y_offset = 33;
         static const int sprite_texture_start = FS_gfx::JOYSTICK;
-        static const float bold = 1.0;
-        static const float faded = 0.2;
+        static const float bold;
+        static const float faded;
 
         Settings* settings_ptr;
         int current_option;
--- a/src/Star_particle_system.cpp
+++ b/src/Star_particle_system.cpp
@@ -137,6 +137,10 @@
 } // FS::Star_particle_system::launch_new_star
 
 // **************************************************
+
+const float FS::Star_particle_system::lifespan = 1500.0;
+
+// **************************************************
 // **************************************************
 // **************************************************
 // **************************************************
--- a/src/Star_particle_system.h
+++ b/src/Star_particle_system.h
@@ -77,7 +77,7 @@
         static const int STAR_WIDTH = 30;
         static const int STAR_HEIGHT = 30;
         // This is a float so that we get floating-point division in update.
-        static const float lifespan = 1500.0;   // in ms
+        static const float lifespan;   // in ms
     
         // A particle is basically a lightweight sprite.
         // Unlike a usual sprite, we don't need to worry about
